#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define kf5_min_version 5.88.0

%define rel 1

Name:           calindori
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        Calendar application for Plasma Mobile
Group:          Office/Organizer
License:        GPLv3+ and LGPLv3+ and BSD and CC0
URL:            https://apps.kde.org/calindori/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt53DRender)

BuildRequires:  cmake(KF5CalendarCore) >= %{kf5_min_version}
BuildRequires:  cmake(KF5Kirigami2) >= %{kf5_min_version}
BuildRequires:  cmake(KF5Config) >= %{kf5_min_version}
BuildRequires:  cmake(KF5I18n) >= %{kf5_min_version}
BuildRequires:  cmake(KF5Notifications) >= %{kf5_min_version}
BuildRequires:  cmake(KF5Service) >= %{kf5_min_version}
BuildRequires:  cmake(KF5DBusAddons) >= %{kf5_min_version}
BuildRequires:  cmake(KF5People) >= %{kf5_min_version}

Recommends:     qtwayland5
Requires:       kirigami2

%description
Calindori is a touch friendly calendar application. It has been
designed for mobile devices but it can also run on desktop
environments. Users of Calindori are able to check previous and
future dates and manage tasks and events.

When executing the application for the first time, a new calendar
file is created that follows the ical standard. Alternatively,
users may create additional calendars or import existing ones.

Features:
  * Agenda
  * Events
  * Todos
  * Multiple calendars
  * Import calendar

%files -f %{name}-full.lang
%license LICENSES/*
%{_kf5_bindir}/%{name}
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/applications/org.kde.%{name}.desktop

%{_kf5_bindir}/calindac
%{_kf5_datadir}/knotifications5/calindac.notifyrc
%{_kf5_sysconfdir}/xdg/autostart/org.kde.calindac.desktop
%{_kf5_datadir}/dbus-1/services/org.kde.calindac.service

%prep
%autosetup

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}
%find_lang calindac
cat %{name}.lang calindac.lang > %{name}-full.lang


%changelog
* Sun Mar 03 2024 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 2047364
- New version 23.04.3

* Mon May 29 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959656
- New version 23.04.1 (says hello to kde application stack)

* Tue Dec 27 2022 daviddavid <daviddavid> 22.11-1.mga9
+ Revision: 1927234
- New version 22.11

* Sun Sep 04 2022 papoteur <papoteur> 22.06-1.mga9
+ Revision: 1883830
- imported package calindori

